ZPRINT(1)

NAME
zprint - show information about kernel zones

SYNOPSIS
zprint [-w] [-s] [-c] [-h] [-t] [-d] [-p <pid>][name]

DESCRIPTION
zprint(1) displays data about Mach zones. By default, zprint will print out information about all Mach zones. If the optional name is specified, zprint will print information about each zone for which name is a substring of the zone's name.

zprint interprets the following options:

-c  (Default) zprint prints zone info in columns. Long zone names are truncated with '$', and spaces are replaced with '.', to allow for sorting by column. Pageable and collectible zones are shown with 'P' and 'C' on the far right. Zones with preposterously large maximum sizes are shown with '----' in the max size and max num elts fields.

-h  (Default) Shows headings for the columns printed with the -c option. It may be useful to override this option when sorting by column.

-s  zprint sorts the zones, showing the zone wasting the most memory first.

-w  For each zone, zprint calculates how much space is allocated but not currently in use, the space wasted by the zone.

-t  For each zone, zprint calculates the total size of allocations from the zone over the life of the zone.

-d  Display deltas over time, showing any zones that have achieved a new maximum current allocation size during the interval. If the total allocation sizes are being displayed for the zones in question, it will also display the deltas if the total allocations have doubled. -p <pid> Display zone usage related to the specified process id. Each zone will display standard columns and the amount of memory from that zone associated with a given process. The letter "A" in the flags column indicates that this total is being accounted to the process. Otherwise, the total is an indication of the influence the process has on the kernel, but the memory is being accounted to the kernel proper.

Any option (including default options) can be overridden by specifying the option in upper-case; for example, -C overrides the (default) option -c.